package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.wrapper.AlbumCategoryWrapper;
import com.yonge.cooleshow.biz.dal.entity.AlbumCategory;

/**
 * 机构专辑分类
 * 2024-12-19 16:57:26
 */
public interface AlbumCategoryService extends IService<AlbumCategory>  {


    /**
     * 分页查询
     * @param page IPage<AlbumCategory>
     * @param query AlbumCategoryWrapper.AlbumCategoryQuery
     * @return IPage<AlbumCategory>
     */
    IPage<AlbumCategoryWrapper.AlbumCategory> selectPage(IPage<AlbumCategoryWrapper.AlbumCategory> page, AlbumCategoryWrapper.AlbumCategoryQuery query);


    /**
     * 新增/修改
     * @param albumCategory
     */
    void add(AlbumCategoryWrapper.AddAlbumCategory albumCategory);

    /**
     * 删除
     *
     * @param id
     *
     */
    Boolean del(Long id);
}