package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.AlbumCategory;
import com.yonge.cooleshow.biz.dal.wrapper.AlbumCategoryWrapper;

/**
 * 机构专辑分类
 * 2024-12-19 16:57:26
 */
@Repository
public interface AlbumCategoryMapper extends BaseMapper<AlbumCategory> {

	/**
	 * 分页查询
	 */
	List<AlbumCategoryWrapper.AlbumCategory> selectPage(@Param("page") IPage<AlbumCategoryWrapper.AlbumCategory> page, @Param("param") AlbumCategoryWrapper.AlbumCategoryQuery param);
	
}